Bug 1288451 - (CVE-2015-7540) CVE-2015-7540 samba: DoS to AD-DC due to insufficient checking of asn1 memory allocation
CVE-2015-7540 samba: DoS to AD-DC due to insufficient checking of asn1 memory...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151216,repor...
: Security
Depends On: 1290708 1290709 1290710 1290711 1290727 1292069
Blocks: 1281327 1288454
  Show dependency treegraph
 
Reported: 2015-12-04 04:40 EST by Adam Mariš
Modified: 2016-01-11 04:03 EST (History)
15 users (show)

See Also:
Fixed In Version: samba 4.1.22, samba 4.2.0
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the LDAP server provided by the AD DC in the Samba process daemon. A remote attacker could exploit this flaw by sending a specially crafted packet, which could cause the server to consume an excessive amount of memory and crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 07:19:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0006 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 01:39:15 EST
Red Hat Product Errata RHSA-2016:0010 normal SHIPPED_LIVE Moderate: samba4 security update 2016-01-07 22:43:17 EST
Red Hat Product Errata RHSA-2016:0015 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 10:18:26 EST

  None (edit)
Description Adam Mariš 2015-12-04 04:40:33 EST
A denial-of-service vulnerability for the AD-DC due to insuffiecient checking on asn1 memory allocation was reported.

Upstream bug:

https://bugzilla.samba.org/show_bug.cgi?id=9187
Comment 1 Adam Mariš 2015-12-04 06:58:42 EST
Acknowledgments:

Red Hat would like to thank the Samba project for reporting this issue.
Comment 5 Siddharth Sharma 2015-12-16 07:08:58 EST
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1292069]
Comment 6 Huzaifa S. Sidhpurwala 2015-12-16 23:10:41 EST
External References:

https://www.samba.org/samba/security/CVE-2015-7540.html
Comment 7 Tomas Hoger 2015-12-17 10:34:30 EST
Upstream fixes as applied to 4.1.22:

https://git.samba.org/?p=samba.git;a=commitdiff;h=530d50a1abdcdf4d1775652d4c456c1274d83d8d
https://git.samba.org/?p=samba.git;a=commitdiff;h=9d989c9dd7a5b92d0c5d65287935471b83b6e884

Upstream advisory also indicates that newer samba versions (4.2+) were already fixed in Sep 2014.
Comment 9 errata-xmlrpc 2016-01-07 12:06:31 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0010 https://rhn.redhat.com/errata/RHSA-2016-0010.html
Comment 10 errata-xmlrpc 2016-01-07 20:40:15 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0006 https://rhn.redhat.com/errata/RHSA-2016-0006.html
Comment 11 errata-xmlrpc 2016-01-08 05:19:41 EST
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0015 https://rhn.redhat.com/errata/RHSA-2016-0015.html

Note You need to log in before you can comment on or make changes to this bug.